.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
  }
  
  .movie-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 2rem;
  }
  
  .movie-card {
    position: relative;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    box-shadow: 0 10px 20px rgba(0,0,0,0.19), 0 6px 6px rgba(0,0,0,0.23);
    border-radius: 5px;
  }
  
  .movie-poster {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 5px;
  }
  
  .add-btn {
    position: absolute;
    top: 10px;
    right: 10px;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(72, 134, 206, 0.8);
    color: white;
    border: none;
    border-radius: 50%;
    font-size: 20px;
    cursor: pointer;
    z-index: 2;
  }
  
  .movie-info {
    position: absolute;
    bottom: 10px;
    width: 100%;
    padding: 4px 12px;
    background: rgba(0,0,0,0.7);
    color: #fff;
    height: 4em;
    line-height: 1.5em;
    overflow: hidden;
    text-overflow: ellipsis;
  }
  
  @media screen and (max-width: 600px) {
    .movie-grid {
      grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
      gap: 1rem;
    }
  
    .movie-info {
      font-size: 0.8em;
      bottom: 5px;
    }

    .movie-info h3 {
      font: 400 11px/15px Roboto,sans-serif;
    }
  }
  